List a booking's participants
curl --request GET \
--url https://api.letsdothis.com/v0/bookings/{id}/participants \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/bookings/{id}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/bookings/{id}/participants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "66b2c3d4e5f60718293a4b5c",
"participantIndex": 0,
"bookingId": "66b1c2d3e4f5061728394a5b",
"transactionId": "66b3c4d5e6f708192a3b4c5d",
"eventOccurrenceId": "66a2b3c4d5e6f708192a3b4c",
"eventId": "66a1b2c3d4e5f60718293a4b",
"raceId": "66a3b4c5d6e7f8092a3b4c5d",
"ticketTitle": "10K General Entry",
"ticketId": "66a4b5c6d7e8f9012a3b4c5d",
"bookedAt": "2026-05-12T16:45:00.000Z",
"createdAt": "2026-05-12T16:45:00.000Z",
"updatedAt": "2026-05-12T16:45:00.000Z",
"fields": [
{
"id": "firstName",
"name": "First name",
"value": "John"
},
{
"id": "lastName",
"name": "Last name",
"value": "Runner"
},
{
"id": "email",
"name": "Email",
"value": "john@invalid.test"
},
{
"id": "status",
"name": "Status",
"value": "CONFIRMED"
}
],
"booker": null,
"originalTicketPrice": {
"value": 6500,
"currencyCode": "USD"
},
"incrementalStatus": "INCREMENTAL",
"bibNumber": "A1042",
"bookingCodesUsed": [
{
"code": "WELCOME20"
}
],
"participantId": "7d22e97f-b583-4e5b-a2bb-1b927f826a32",
"notes": []
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Bookings
List a booking's participants
Returns a paginated list of the participants on one of your bookings.
GET
/
v0
/
bookings
/
{id}
/
participants
List a booking's participants
curl --request GET \
--url https://api.letsdothis.com/v0/bookings/{id}/participants \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/bookings/{id}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/bookings/{id}/participants"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "66b2c3d4e5f60718293a4b5c",
"participantIndex": 0,
"bookingId": "66b1c2d3e4f5061728394a5b",
"transactionId": "66b3c4d5e6f708192a3b4c5d",
"eventOccurrenceId": "66a2b3c4d5e6f708192a3b4c",
"eventId": "66a1b2c3d4e5f60718293a4b",
"raceId": "66a3b4c5d6e7f8092a3b4c5d",
"ticketTitle": "10K General Entry",
"ticketId": "66a4b5c6d7e8f9012a3b4c5d",
"bookedAt": "2026-05-12T16:45:00.000Z",
"createdAt": "2026-05-12T16:45:00.000Z",
"updatedAt": "2026-05-12T16:45:00.000Z",
"fields": [
{
"id": "firstName",
"name": "First name",
"value": "John"
},
{
"id": "lastName",
"name": "Last name",
"value": "Runner"
},
{
"id": "email",
"name": "Email",
"value": "john@invalid.test"
},
{
"id": "status",
"name": "Status",
"value": "CONFIRMED"
}
],
"booker": null,
"originalTicketPrice": {
"value": 6500,
"currencyCode": "USD"
},
"incrementalStatus": "INCREMENTAL",
"bibNumber": "A1042",
"bookingCodesUsed": [
{
"code": "WELCOME20"
}
],
"participantId": "7d22e97f-b583-4e5b-a2bb-1b927f826a32",
"notes": []
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Authorizations
Query Parameters
Response
A page of the booking's participants.
Where you are in a paginated list.
Pass next as page[after] to get the next page, or prev as page[before] to get the previous one. An empty cursor means there are no more pages in that direction. Treat cursors as opaque strings.
Show child attributes
Show child attributes
Example:
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

